%define name	polyxmass-common
%define version	0.8.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Common files for polyxmass suite
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.polyxmass.org/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Contains the "protein" polymer chemistry definition and the "basic" atom
definition for the PolyXMass package.

%prep
%setup -q
perl -p -i -e 's|install-data-hook|||g' config-files/Makefile.in

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
chmod ug+x $RPM_BUILD_ROOT/%_sbindir/*
rm -fr $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/atom-defs.update-cat
/usr/sbin/polchem-defs.update-cat
/usr/sbin/polchem-defs-atom-defs.update-dic

%files
%defattr(-,root,root)
%doc AUTHORS README THANKS
%config(noreplace) %_sysconfdir/polyxmass
%_libdir/pkgconfig/*
%_sbindir/*
%_mandir/man7/*
%{_datadir}/polyxmass

%changelog
* Wed Sep 29 2004 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- initial package for 0.8.0 series
